let splunkRumOnce;

Drupal.behaviors.splunk_rum = {
  attach: function (context, settings) {
    const splunkRum = drupalSettings.splunkRum;

    if (SplunkRum && !splunkRumOnce) {
      splunkRumOnce = true;
      SplunkRum.init({
        realm: splunkRum.realm,
        rumAccessToken: splunkRum.accessToken,
        applicationName: splunkRum.applicationName,
        deploymentEnvironment: splunkRum.deploymentEnvironment,
      });
    }
  }
}
